NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Routing::ControlPointCollection Class Reference

Represents a collection of Routing::ControlPoint objects. More...

Inheritance diagram for NXOpen::Routing::ControlPointCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Types

enum  CheckExisting { CheckExistingDontSearch, CheckExistingSearch }
 Option for searching for an existing Routing::ControlPoint when attempting to create an new Routing::ControlPoint . More...
 
enum  FoundExisting { FoundExistingBrandNew, FoundExistingExisting }
 Whether Routing::ControlPoint returned from the creator methods was an existing Routing::ControlPoint or a new Routing::ControlPoint . More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element.
 
NXOpen::Routing::ControlPointCreateControlPoint (const NXOpen::Point3d &position, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)
 Creates a dumb Routing::ControlPoint object.
 
NXOpen::Routing::ControlPointCreateControlPoint (NXOpen::Routing::Port *port, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)
 Creates a smart Routing::ControlPoint object.
 
NXOpen::Routing::ControlPointCreateControlPoint (NXOpen::TaggedObject *object, double objectParm, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)
 Creates a Routing::ControlPoint at the given object and normalized parameter.
 
NXOpen::Routing::ControlPointCreateControlPoint (NXOpen::Point *point, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)
 Creates a smart Routing::ControlPoint object.
 
NXOpen::Routing::ControlPointCreateControlPoint (NXOpen::IBaseCurve *conic, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)
 Creates a smart Routing::ControlPoint object.
 
NXOpen::Routing::ControlPointCreateControlPoint (NXOpen::Routing::IRoutePosition *startObject, const NXOpen::Vector3d &offset, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)
 Creates a dumb Routing::ControlPoint object.
 
NXOpen::Routing::ControlPointCreateControlPoint (NXOpen::Routing::ControlPoint *cpOcc, NXOpen::Routing::ControlPointCollection::CheckExisting checkExisting, NXOpen::Routing::ControlPointCollection::FoundExisting *foundExisting)
 Creates a smart Routing::ControlPoint object.
 
iterator end ()
 Returns an iterator addressing one past the last element.
 
NXOpen::Routing::ControlPointFindControlPoint (const NXOpen::Point3d &position, double tolerance)
 Finds an existing Routing::ControlPoint at the given ABS coordinates within the given tolerance.
 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

Represents a collection of Routing::ControlPoint objects.


To obtain an instance of this class, refer to Routing::RouteManager

Created in NX4.0.0.

Member Enumeration Documentation

Option for searching for an existing Routing::ControlPoint when attempting to create an new Routing::ControlPoint .

Enumerator:
CheckExistingDontSearch 

Don't search for an exising object, always create a new object.

CheckExistingSearch 

Search for an existing object, don't create a new object if one exists at the correct location.

Whether Routing::ControlPoint returned from the creator methods was an existing Routing::ControlPoint or a new Routing::ControlPoint .

Enumerator:
FoundExistingBrandNew 

Object is a new object.

FoundExistingExisting 

Object existed already.

Member Function Documentation

iterator NXOpen::Routing::ControlPointCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint ( const NXOpen::Point3d position,
NXOpen::Routing::ControlPointCollection::CheckExisting  checkExisting,
NXOpen::Routing::ControlPointCollection::FoundExisting foundExisting 
)

Creates a dumb Routing::ControlPoint object.

The Routing::ControlPoint 's position is not associative to any other object.

Returns

Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Parameters
positionABS coordinates
checkExistingReturn an existing Routing::ControlPoint object if one exists at the same location as the position.
foundExistingReturned Routing::ControlPoint is an existing control point.
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint ( NXOpen::Routing::Port port,
NXOpen::Routing::ControlPointCollection::CheckExisting  checkExisting,
NXOpen::Routing::ControlPointCollection::FoundExisting foundExisting 
)

Creates a smart Routing::ControlPoint object.

The Routing::ControlPoint 's position is associative to the input Routing::Port .

Returns

Created in NX5.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Parameters
portport
checkExistingReturn an existing Routing::ControlPoint object if one exists at the same location as the position.
foundExistingReturned Routing::ControlPoint is an existing control point.
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint ( NXOpen::TaggedObject object,
double  objectParm,
NXOpen::Routing::ControlPointCollection::CheckExisting  checkExisting,
NXOpen::Routing::ControlPointCollection::FoundExisting foundExisting 
)

Creates a Routing::ControlPoint at the given object and normalized parameter.

       Supports curves [includes segments], ports and circular edges.   @return  


Created in NX5.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")

Parameters
objectobject
objectParmobject parm
checkExistingReturn an existing Routing::ControlPoint object if one exists at the same location as the position.
foundExistingReturned Routing::ControlPoint is an existing control point.
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint ( NXOpen::Point point,
NXOpen::Routing::ControlPointCollection::CheckExisting  checkExisting,
NXOpen::Routing::ControlPointCollection::FoundExisting foundExisting 
)

Creates a smart Routing::ControlPoint object.

The Routing::ControlPoint 's position is associative to the input Point .

Returns

Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Parameters
pointpoint
checkExistingReturn an existing Routing::ControlPoint object if one exists at the same location as the position.
foundExistingReturned Routing::ControlPoint is an existing control point.
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint ( NXOpen::IBaseCurve conic,
NXOpen::Routing::ControlPointCollection::CheckExisting  checkExisting,
NXOpen::Routing::ControlPointCollection::FoundExisting foundExisting 
)

Creates a smart Routing::ControlPoint object.

The Routing::ControlPoint 's position is associative to a Point that is defined at the center of a IBaseCurve object.

Returns

Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Parameters
conicconic
checkExistingReturn an existing Routing::ControlPoint object if one exists at the same location as the position.
foundExistingReturned Routing::ControlPoint is an existing control point.
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint ( NXOpen::Routing::IRoutePosition startObject,
const NXOpen::Vector3d offset,
NXOpen::Routing::ControlPointCollection::CheckExisting  checkExisting,
NXOpen::Routing::ControlPointCollection::FoundExisting foundExisting 
)

Creates a dumb Routing::ControlPoint object.

The Routing::ControlPoint 's position is not associative to any other object. The position of the object is located at the XC, YC, ZC offset (using the work coordinate system) from the input Routing::IRoutePosition object.

Returns

Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Parameters
startObjectStarting position.
offsetOffset values.
checkExistingReturn an existing Routing::ControlPoint object if one exists at the same location as the position.
foundExistingReturned Routing::ControlPoint is an existing control point.
NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::CreateControlPoint ( NXOpen::Routing::ControlPoint cpOcc,
NXOpen::Routing::ControlPointCollection::CheckExisting  checkExisting,
NXOpen::Routing::ControlPointCollection::FoundExisting foundExisting 
)

Creates a smart Routing::ControlPoint object.

The Routing::ControlPoint 's position is smart point that is associative to a Point that is associative to a Routing::ControlPoint occurrence.

Returns

Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Parameters
cpOccOccurrence of a Routing::ControlPoint object.
checkExistingReturn an existing Routing::ControlPoint object if one exists at the same location as the position.
foundExistingReturned Routing::ControlPoint is an existing control point.
iterator NXOpen::Routing::ControlPointCollection::end ( )

Returns an iterator addressing one past the last element.

NXOpen::Routing::ControlPoint* NXOpen::Routing::ControlPointCollection::FindControlPoint ( const NXOpen::Point3d position,
double  tolerance 
)

Finds an existing Routing::ControlPoint at the given ABS coordinates within the given tolerance.

Returns

Created in NX4.0.0.

License requirements : routing_advanced ("Routing Advanced"), routing_base ("Routing Basic")
Parameters
positionABS coordinates
toleranceDistance tolerance, smallest useful tolerance is returned from Routing::RouteManager::GetLengthTolerance .
tag_t NXOpen::Routing::ControlPointCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.